<?php

namespace Core\View\Render;

use Core\View\Render;

class HtmlRender extends Render
{
    /**
     * @inheritDoc
     * @throws \Exception
     */
    public function render(): void
    {
        $basePath  = $_SERVER['DOCUMENT_ROOT'];
        $viewsPath = $basePath . '/../resources/views/' . str_replace('.', '/', $this->view) . '.php';

        if (file_exists($viewsPath)) {
            extract($this->data);

            include $viewsPath;

            return;
        }

        throw new \Exception('View not found');
    }
}